Status: Closed Start date: 2008-05-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

See: http://www.redmine.org/boards/2/topics/show/727

See also: issue #787

The initial import of a subversion repository over https requires that the ssl certificate fingerprint be manually validated and stored in a

config-dir accessible by the user running the web server.  It is recommended that a directory local to the redmine application root be

provided, either as a default (./svn/.subversion) or as a provided parameter in the repository settings for subversion.

A means of manually or automatically accepting the certificate into that directory is also required.

The work around for the certificate acceptance issue is to manually checkout anything from the svn server specifying the local

config-dir and accepting the certificate permanently:

i.e.

1. svn --config-dir ./svn/.subversion co https://svn.mydomain.com/project/trunk delete-me

Error validating server certificate for 'https://svn.mydomain.com:443':

- The certificate is not issued by a trusted authority. Use the

fingerprint to validate the certificate manually!

- The certificate hostname does not match.

- The certificate has expired.

Certificate information:

- Hostname: svn.mydomain.com

- Valid: from Apr  8 12:00:00 2006 GMT until Sep 24 12:00:00 2010 GMT

- Issuer: mydomain.com, vrsource.org, Geneva, UN

- Fingerprint: 01:27:d9:6a:b8:db:63:f3:24:e3:41:c8:15:0a:f8:93:f6:7c:0f:11

(R)eject, accept (t)emporarily or accept (p)ermanently? p

History

#1 - 2008-05-14 18:51 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version deleted (0.8)

- Resolution set to Wont fix

The validation of the certificate won't be done automatically by the app.

I've just added your work around to the FAQ.

Thanks.
